Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.opencard.terminal.pcsc10
Class Pcsc10LockableTerminalFactory

    java.lang.Object
      com.ibm.opencard.terminal.pcsc10.Pcsc10CardTerminalFactory
          com.ibm.opencard.terminal.pcsc10.Pcsc10LockableTerminalFactory

All Implemented Interfaces:
  CardTerminalFactory

    public class Pcsc10LockableTerminalFactory

extends Pcsc10CardTerminalFactory

`CardTerminalFactory` for lockable PCSC card terminals.

Version:
  $Id: Pcsc10LockableTerminalFactory.java,v 1.2 2005/09/19 10:21:22 asc Exp $
Author:
  Stephan Breideneich (sbreiden@de.ibm.com)
See Also:
  `CardTerminalFactory`

Field Summary

Fields inherited from interface opencard.core.terminal.CardTerminalFactory
`TERMINAL_ADDRESS_ENTRY, TERMINAL_NAME_ENTRY, TERMINAL_TYPE_ENTRY`

Constructor Summary
`Pcsc10LockableTerminalFactory()` Instantiate and initialize an `Pcsc10LockableTerminalFactory`.

Method Summary
`void` | `createCardTerminals(CardTerminalRegistry ctr, java.lang.String[] terminalInfo)` create a specific `CardTerminal` object that knows how to handle a specific card terminal and register it to the CardTerminalRegistry.

Methods inherited from class com.ibm.opencard.terminal.pcsc10.Pcsc10CardTerminalFactory
`close, ListReaders, open`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Pcsc10LockableTerminalFactory

    public Pcsc10LockableTerminalFactory()
                                  throws CardTerminalException

  Instantiate and initialize an `Pcsc10LockableTerminalFactory`.

  Throws:
    `CardTerminalException` - Thrown when a problem occured.

Method Detail

### createCardTerminals

    public void createCardTerminals(CardTerminalRegistry ctr,
                                    java.lang.String[] terminalInfo)
                             throws CardTerminalException

  create a specific `CardTerminal` object that knows how to handle a specific card terminal and register it to the CardTerminalRegistry.

  Specified by:
    `createCardTerminals` in interface `CardTerminalFactory`
  Overrides:
    `createCardTerminals` in class `Pcsc10CardTerminalFactory`
  Parameters:
    `ctr` - the CardTerminalRegistry for registration-process
    `terminalInfo` - null - not needed for this factory
  Throws:
    `CardTerminalException` - thrown when CardTerminal error occured
    `TerminalInitException` - thrown when terminalInfo is incorrect or factory not able to support requested terminal type.
  See Also:
    `CardTerminalFactory`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD